﻿<UserControl
    x:Class="Interpreter.Controls.Visual"
    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
    xmlns:helpers="clr-namespace:Interpreter.Helpers"
    xmlns:local="clr-namespace:Interpreter"
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
    d:DesignHeight="300"
    d:DesignWidth="300"
    mc:Ignorable="d">
    <Grid HorizontalAlignment="Center" VerticalAlignment="Center">
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="*" />
            <ColumnDefinition Width="*" />
            <ColumnDefinition Width="*" />
            <ColumnDefinition Width="*" />
        </Grid.ColumnDefinitions>
        <Grid.Children>
            <StackPanel Grid.Column="0" Margin="4px">
                <TextBox
                    Width="150px"
                    MaxLength="3"
                    Text="{Binding EditableCommand.First}" />
                <Slider
                    Margin="0,4,0,0"
                    Maximum="511"
                    Minimum="0"
                    Value="{Binding EditableCommand.First}" />
            </StackPanel>
            <StackPanel Grid.Column="1" Margin="4px">
                <TextBox
                    Width="150px"
                    MaxLength="3"
                    Text="{Binding EditableCommand.Second}" />
                <Slider
                    Margin="0,4,0,0"
                    Maximum="511"
                    Minimum="0"
                    Value="{Binding EditableCommand.Second}" />
            </StackPanel>
            <StackPanel Grid.Column="2" Margin="4px">
                <TextBox
                    Width="150px"
                    MaxLength="3"
                    Text="{Binding EditableCommand.Third}" />
                <Slider
                    Margin="0,4,0,0"
                    Maximum="511"
                    Minimum="0"
                    Value="{Binding EditableCommand.Third}" />
            </StackPanel>
            <ListBox
                Grid.Column="3"
                Width="150px"
                ItemsSource="{Binding Source={x:Static helpers:Operation.Name}, Mode=OneWay}"
                SelectedValue="{Binding EditableCommand.Operation}"
                SelectedValuePath="Key">
                <ListBox.ItemTemplate>
                    <DataTemplate>
                        <Border BorderThickness="1">
                            <StackPanel>
                                <TextBlock Text="{Binding Path=Key}" />
                            </StackPanel>
                        </Border>
                    </DataTemplate>
                </ListBox.ItemTemplate>
            </ListBox>
        </Grid.Children>
    </Grid>
</UserControl>